Skip to main content
POST
/
references
Upload a reference
curl --request POST \
  --url https://api.keyframe.art/v1/references \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "id": "<string>",
  "mime_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
file
required

Reference file to upload.

role
enum<string>
required
Available options:
character,
product,
location,
style,
audio,
document,
other
description
string

How Keyframe should use this reference.

Maximum string length: 1000

Response

Reference uploaded.

id
string
required
Example:

"ref_abc123"

role
enum<string>
required
Available options:
character,
product,
location,
style,
audio,
document,
other
mime_type
string
required
Example:

"image/png"

created_at
string<date-time>
required
description
string | null